trek_stkp <- function(gebj,sx,n_stkp,bewaar){
if(gebj %in% c(2000:2008, 9)) {   
  if(sx %in% c(0,1,9)){ 
    if(n_stkp %in% 1:1000) { 
      if(bewaar %in% 0:1) { 
        library(dplyr, warn.conflicts = FALSE)
        library(writexl)
        library(gt)
        library(glue)
        if(gebj == 9){gebjlbl = "alles"
        }else{gebjlbl = as.character(gebj)}
        if(sx == 1){sxlbl = "jongen"
        }else if(sx == 0){sxlbl = "meisje"
        }else {sxlbl = "alles"}
        load("lib/geboorten.RData")
        if(!gebj==9 & !sx==9){
          df <- slice_sample(geboorten_df |> filter(gebjaar == gebj, sex == sx), n=n_stkp)
        } else if(gebj==9 & !sx==9){
          df <- slice_sample(geboorten_df |> filter(sex == sx), n=n_stkp)
        } else if(!gebj==9 & sx==9){
          df <- slice_sample(geboorten_df |> filter(gebjaar == gebj), n=n_stkp)
        } else { 
          df <- slice_sample(geboorten_df, n=n_stkp) }
        if(bewaar == 1){
          xclfile <- paste0("xcl/GEB_", format(Sys.time(), "%Y%m%d_%H%M%S") , ".xlsx")
          write_xlsx(df, xclfile) }
        mtable <- head(df, n=12) |> gt() |> 
          tab_header(
            title = html(glue("<b>DATABANK GEBOORTEN</b><br><font size=3.5>steekproefgrootte n={n_stkp}<br>geboortejaar = {gebjlbl}   |  geslacht = {sxlbl}</font>"))) |> 
          tab_options(column_labels.font.weight = "bold") |> 
          cols_label(
            duur = "duur",
            gew = "gew",
            sex = "sex",
            lft_m = "lft_m",
            gebjaar = "gebjaar") |> 
          tab_style(style = cell_text(align = "center"),
                    locations = list( cells_column_labels(), cells_body() ))
        if(n_stkp > 12){mtable <- mtable |> 
          tab_header(subtitle = html("<i> eerste rijen van de getrokken steekproef </i>"),
          title = html(glue("<b>DATABANK GEBOORTEN</b><br><font size=3.5>steekproefgrootte n={n_stkp}<br>geboortejaar = {gebjlbl}   |  geslacht = {sxlbl}</font>")))}    
       mtable
     } else { cat("bewaar <-.... vul in: 0 (niet als .xlsx bewaren) of 1 (wel als .xlsx bewaren)")  }  
    } else { cat("n_stkp <-.... vul in: een geheel getal tussen 1 en 1000")  }  
  } else { cat("sx <-.... vul in: 0 (= meisje) of 1 (= jongen) \nofwel tik je het cijfer 9 (= alle babies)")  }  
} else { cat("gebj <-.... vul een jaartal in tussen 2000 en 2008 \nofwel tik je het cijfer 9 (= alle geboortejaren)") }  
} 